Site Template Configuration
25 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| updateBandSteeringTemplateSetting | PATCH | Modify site template band steering setting |
| updateBeaconControlTemplateSetting | PATCH | Modify site template beacon control setting |
| getChannelLimitTemplateSetting | GET | Get site template channel limit setting (deprecated) |
| updateChannelLimitTemplateSetting | PATCH | Modify site template channel limit setting |
| modifySiteTemplateGeneralConfig | PATCH | Modify the general configuration settings of the Site template (deprecated) |
| getSiteTemplateJumboSetting | GET | Get site template jumbo setting |
| updateSiteTemplateJumboSetting | PUT | Modify site template jumbo setting |
| getSiteTemplateLagHashAlgSetting | GET | Get site template lag hash alg setting |
| updateSiteTemplateLagHashAlgSetting | PUT | Modify site template lag hash alg setting |
| getSiteTemplateLedSetting | GET | Get site template led setting |
| updateSiteTemplateLedSetting | PUT | Modify site template led setting |
| getLldpTemplateSetting | GET | Get site template lldp setting |
| updateLldpTemplateSetting | PATCH | Modify site template lldp setting |
| getMeshTemplateSetting | GET | Get site template mesh setting |
| updateMeshTemplateSetting | PATCH | Modify site template mesh setmesh setting |
| getMulticastRateLimitTemplateByOpenApi | GET | Get site template multicast rate limit setting |
| updateMcastRateLimitSettingTemplateByOpenApi | PATCH | Modify site template multicast rate limit setting |
| getSiteTemplateRememberSettingByOpenApi | GET | Query site template setting exist or not |
| modifySiteTemplateRememberSettingByOpenApi | POST | Modify site template remember device setting |
| getRemoteLoggingTemplateSetting | GET | Get site template remote logging setting |
| updateRemoteLoggingTemplateSetting | PATCH | Modify site template remote logging setting |
| getRoamingTemplateSetting | GET | Get site template roaming setting |
| updateRoamingTemplateSetting | PATCH | Modify site template roaming setting |
| modifySiteServiceTemplate | PATCH | Modify Site template service settings (deprecated) |
| modifySiteTemplateSetting | PATCH | Modify Site template settings (deprecated) |
updateBandSteeringTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/band-steering
Modify site template band steering setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteBandSteeringSetting
| Field | Type | Required | Description |
|---|---|---|---|
bandSteeringForMultiBand | BandSteeringMultiBandVO | no | (BandSteeringMultiBandVO not expanded; call omada_get_schema "BandSteeringMultiBandVO") |
// omada_call_operation
{
"operationId": "updateBandSteeringTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template band steering setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateBeaconControlTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/beacon-control
Modify site template beacon control setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteBeaconControlSetting
| Field | Type | Required | Description |
|---|---|---|---|
beaconControl | BeaconControlVO | no | (BeaconControlVO not expanded; call omada_get_schema "BeaconControlVO") |
airtimeFairness | AirtimeFairnessSettingVO | no | (AirtimeFairnessSettingVO not expanded; call omada_get_schema "AirtimeFairnessSettingVO") |
// omada_call_operation
{
"operationId": "updateBeaconControlTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template beacon control setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getChannelLimitTemplateSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/channel-limit
Deprecated
This operation is deprecated.
Get site template channel limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getChannelLimitTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template channel limit settingThis interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateChannelLimitTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/channel-limit
Modify site template channel limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteChannelLimitSetting
| Field | Type | Required | Description |
|---|---|---|---|
channelLimit | ChannelLimitSettingVO | no | (ChannelLimitSettingVO not expanded; call omada_get_schema "ChannelLimitSettingVO") |
// omada_call_operation
{
"operationId": "updateChannelLimitTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template channel limit settingThis interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
modifySiteTemplateGeneralConfig
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/general/config
Deprecated
This operation is deprecated.
Modify the general configuration settings of the Site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteServiceGeneralConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
led | SiteLedSetting | no | (SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting") |
remoteLog | RemoteLogSettingOpenApiVO | no | (RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO") |
rememberDevice | RememberDeviceSetting | no | (RememberDeviceSetting not expanded; call omada_get_schema "RememberDeviceSetting") |
dhcpSrvChanged | DhcpServerChangedConfigOpenApiVO | no | (DhcpServerChangedConfigOpenApiVO not expanded; call omada_get_schema "DhcpServerChangedConfigOpenApiVO") |
portalLogoutConfig | PortalLogoutConfigOpenApiVO | no | (PortalLogoutConfigOpenApiVO not expanded; call omada_get_schema "PortalLogoutConfigOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySiteTemplateGeneralConfig",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify the general configuration settings of the Site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateJumboSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/jumbo
Get site template jumbo setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateJumboSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template jumbo setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteTemplateJumboSetting
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/jumbo
Modify site template jumbo setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteJumboOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
size | integer | no | It should be within the range of 1518–9216 Bytes. |
// omada_call_operation
{
"operationId": "updateSiteTemplateJumboSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template jumbo setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateLagHashAlgSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lag-hash-alg
Get site template lag hash alg setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateLagHashAlgSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template lag hash alg setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteTemplateLagHashAlgSetting
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lag-hash-alg
Modify site template lag hash alg setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteLagHashAlgOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | It should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP. |
// omada_call_operation
{
"operationId": "updateSiteTemplateLagHashAlgSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template lag hash alg setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateLedSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/led
Get site template led setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateLedSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template led setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteTemplateLedSetting
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/led
Modify site template led setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteLedSetting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable led |
// omada_call_operation
{
"operationId": "updateSiteTemplateLedSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template led setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getLldpTemplateSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lldp
Get site template lldp setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getLldpTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template lldp setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateLldpTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lldp
Modify site template lldp setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteLldpSetting
| Field | Type | Required | Description |
|---|---|---|---|
lldp | SiteApLldpSettingVO | no | (SiteApLldpSettingVO not expanded; call omada_get_schema "SiteApLldpSettingVO") |
// omada_call_operation
{
"operationId": "updateLldpTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template lldp setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getMeshTemplateSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mesh
Get site template mesh setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getMeshTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template mesh setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateMeshTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mesh
Modify site template mesh setmesh setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteMeshSetting
| Field | Type | Required | Description |
|---|---|---|---|
mesh | MeshSettingVO | no | (MeshSettingVO not expanded; call omada_get_schema "MeshSettingVO") |
// omada_call_operation
{
"operationId": "updateMeshTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template mesh setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getMulticastRateLimitTemplateByOpenApi
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multicast-rate-limit
Get site template multicast rate limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getMulticastRateLimitTemplateByOpenApi",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template multicast rate limit setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateMcastRateLimitSettingTemplateByOpenApi
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multicast-rate-limit
Modify site template multicast rate limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteMulticastRateLimitSetting
| Field | Type | Required | Description |
|---|---|---|---|
mcastRateLimit | McastRateLimitSettingVO | no | (McastRateLimitSettingVO not expanded; call omada_get_schema "McastRateLimitSettingVO") |
// omada_call_operation
{
"operationId": "updateMcastRateLimitSettingTemplateByOpenApi",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template multicast rate limit setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteTemplateRememberSettingByOpenApi
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remember-device
Query site template setting exist or not
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSiteTemplateRememberSettingByOpenApi",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query site template setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
modifySiteTemplateRememberSettingByOpenApi
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remember-device
Modify site template remember device setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteRememberDeviceSetting
| Field | Type | Required | Description |
|---|---|---|---|
remember | boolean | no | Site remember device. |
// omada_call_operation
{
"operationId": "modifySiteTemplateRememberSettingByOpenApi",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template remember device setting
The interface requires one of the permissions:
Global Site Template Manager Modify
getRemoteLoggingTemplateSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remote-logging
Get site template remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getRemoteLoggingTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template remote logging setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateRemoteLoggingTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remote-logging
Modify site template remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteRemoteLoggingSetting
| Field | Type | Required | Description |
|---|---|---|---|
remoteLog | RemoteLogSettingVO | no | (RemoteLogSettingVO not expanded; call omada_get_schema "RemoteLogSettingVO") |
// omada_call_operation
{
"operationId": "updateRemoteLoggingTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template remote logging setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getRoamingTemplateSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/roaming
Get site template roaming setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getRoamingTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template roaming setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateRoamingTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/roaming
Modify site template roaming setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteRoamingSetting
| Field | Type | Required | Description |
|---|---|---|---|
roaming | RoamingOpenApiVO | yes | (RoamingOpenApiVO not expanded; call omada_get_schema "RoamingOpenApiVO") |
// omada_call_operation
{
"operationId": "updateRoamingTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template roaming setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
modifySiteServiceTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/service
Deprecated
This operation is deprecated.
Modify Site template service settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema ModifySiteServiceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
mesh | NewMeshSettingOpenApiVO | no | (NewMeshSettingOpenApiVO not expanded; call omada_get_schema "NewMeshSettingOpenApiVO") |
remoteLog | RemoteLogSettingOpenApiVO | no | (RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO") |
lldp | SiteApLldpSettingOpenApiVO | no | (SiteApLldpSettingOpenApiVO not expanded; call omada_get_schema "SiteApLldpSettingOpenApiVO") |
beaconControl | BeaconControlOpenApiVO | no | (BeaconControlOpenApiVO not expanded; call omada_get_schema "BeaconControlOpenApiVO") |
bandSteering | BandSteeringOpenApiVO | no | (BandSteeringOpenApiVO not expanded; call omada_get_schema "BandSteeringOpenApiVO") |
bandSteeringForMultiBand | BandSteeringMultiBandOpenApiVO | no | (BandSteeringMultiBandOpenApiVO not expanded; call omada_get_schema "BandSteeringMultiBandOpenApiVO") |
airtimeFairness | AirtimeFairnessSettingOpenApiVO | no | (AirtimeFairnessSettingOpenApiVO not expanded; call omada_get_schema "AirtimeFairnessSettingOpenApiVO") |
led | SiteLedSetting | no | (SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting") |
roaming | NewRoamingSettingOpenApiVO | no | (NewRoamingSettingOpenApiVO not expanded; call omada_get_schema "NewRoamingSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySiteServiceTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Site template service settings.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
modifySiteTemplateSetting
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting
Deprecated
This operation is deprecated.
Modify Site template settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SiteTemplateSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteTemplate | SiteTemplateOpenApiVO | no | (SiteTemplateOpenApiVO not expanded; call omada_get_schema "SiteTemplateOpenApiVO") |
mesh | NewMeshSettingOpenApiVO | no | (NewMeshSettingOpenApiVO not expanded; call omada_get_schema "NewMeshSettingOpenApiVO") |
remoteLog | RemoteLogSettingOpenApiVO | no | (RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO") |
advancedFeature | AdvancedFeatureOpenApiVO | no | (AdvancedFeatureOpenApiVO not expanded; call omada_get_schema "AdvancedFeatureOpenApiVO") |
channelLimit | NewChannelLimitSettingOpenApiVO | no | (NewChannelLimitSettingOpenApiVO not expanded; call omada_get_schema "NewChannelLimitSettingOpenApiVO") |
lldp | SiteApLldpSettingOpenApiVO | no | (SiteApLldpSettingOpenApiVO not expanded; call omada_get_schema "SiteApLldpSettingOpenApiVO") |
beaconControl | BeaconControlOpenApiVO | no | (BeaconControlOpenApiVO not expanded; call omada_get_schema "BeaconControlOpenApiVO") |
bandSteering | BandSteeringOpenApiVO | no | (BandSteeringOpenApiVO not expanded; call omada_get_schema "BandSteeringOpenApiVO") |
bandSteeringForMultiBand | BandSteeringMultiBandOpenApiVO | no | (BandSteeringMultiBandOpenApiVO not expanded; call omada_get_schema "BandSteeringMultiBandOpenApiVO") |
airtimeFairness | AirtimeFairnessSettingOpenApiVO | no | (AirtimeFairnessSettingOpenApiVO not expanded; call omada_get_schema "AirtimeFairnessSettingOpenApiVO") |
led | SiteLedSetting | no | (SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting") |
roaming | NewRoamingSettingOpenApiVO | no | (NewRoamingSettingOpenApiVO not expanded; call omada_get_schema "NewRoamingSettingOpenApiVO") |
SiteMulticastRateLimitSetting | NewMcastRateLimitSettingOpenApiVO | no | (NewMcastRateLimitSettingOpenApiVO not expanded; call omada_get_schema "NewMcastRateLimitSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySiteTemplateSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Site template settings.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.